package com.example.kafka.entity;

import lombok.*;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@ToString
@EqualsAndHashCode(of={"id","name","amount"})
@AllArgsConstructor
@NoArgsConstructor
@Document(value = "orders")
public class Order {
    private String id;
    private String name;
    private double amount;
}
